org.eclipse.emf.compare

## Interface Equivalence

All Superinterfaces:
  EObject, Notifier

All Known Implementing Classes:
  EquivalenceImpl

    public interface Equivalence
    extends EObject

A representation of the model object 'Equivalence'. Diffs are considered equivalent if merging one is enough to resolve both differences. For example, if a reference has an eOpposite, we will detect one diff for each side of the bidirectional reference, yet merging one of these diffs will automatically update the model in such a way that the second diff is "merged".

The following features are supported:

- `Differences`

See Also:
  `ComparePackage.getEquivalence()`
Generated:

### Field Summary

Fields
`static String` `copyright`

### Method Summary

All Methods Instance Methods Abstract Methods
`EList<Diff>` `getDifferences()` Returns the value of the 'Differences' reference list.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Field Detail

#### copyright

    static final String copyright

See Also:
  Constant Field Values
Generated:

### Method Detail

#### getDifferences

    EList<Diff> getDifferences()

Returns the value of the 'Differences' reference list. The list contents are of type `Diff`. It is bidirectional and its opposite is '`Equivalence`'. References the n diffs composing this equivalence. There are at least two diffs in this list.

Returns:
  the value of the 'Differences' reference list.
See Also:
  `ComparePackage.getEquivalence_Differences()`, `Diff.getEquivalence()`
Generated: